Debian Bug report logs - #704502
ITP: pdf.js -- web standards-based platform for parsing and rendering PDFs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Prévot <taffit@debian.org>

Date: Tue, 2 Apr 2013 02:51:02 UTC

Owned by: David Prévot <taffit@debian.org>

Severity: wishlist

Fixed in version pdf.js/0.8.37+dfsg-1

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, owncloud@packages.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#704502; Package wnpp. (Tue, 02 Apr 2013 02:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, owncloud@packages.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org. (Tue, 02 Apr 2013 02:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pdf.js -- web standards-based platform for parsing and rendering PDFs
Date: Mon, 1 Apr 2013 22:47:58 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: David Prévot <taffit@debian.org>

* Package name    : pdf.js
  Version         : 0.7.423
  Upstream Author : Andreas Gal <gal@mozilla.com>
* URL             : http://mozilla.github.com/pdf.js/
* License         : Apache-2.0
  Programming Lang: JavaScript
  Description     : web standards-based platform for parsing and rendering PDFs

pdf.js is an HTML5 technology experiment that explores building a
faithful and efficient Portable Document Format (PDF) renderer without
native code assistance.



The purpose would be to provide it, via a libjs-pdf package, in order to
be used as a third party in other packages like owncloud. As such, I
intend to maintain it under the Debian Javascript umbrella, or, by
default, under the ownCloud one.

Regards

David
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Prévot <taffit@debian.org>:
Bug#704502; Package wnpp. (Thu, 04 Apr 2013 04:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Prévot <taffit@debian.org>. (Thu, 04 Apr 2013 04:48:04 GMT) Full text and rfc822 format available.

Message #10 received at 704502@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: 704502@bugs.debian.org
Cc: owncloud@packages.debian.org, pkg-javascript-devel@lists.alioth.debian.org
Subject: Re: [Pkg-owncloud-maintainers] Bug#704502: ITP: pdf.js -- web standards-based platform for parsing and rendering PDFs
Date: Thu, 04 Apr 2013 00:45:09 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

Le 01/04/2013 22:47, David Prévot a écrit :

> * Package name    : pdf.js

Initial packaging pushed on Git:

	http://anonscm.debian.org/gitweb/?p=pkg-javascript/pdf.js.git

> The purpose would be to provide it, via a libjs-pdf package, in order to
> be used as a third party in other packages like owncloud.

Unfortunately, ownCloud upstream made two tiny changes to viewer.js,
making pdf.js ownCloud-specific:

	https://github.com/owncloud/apps/commit/089a708
	https://github.com/owncloud/apps/commit/51e4f92

Any help would be welcome to workaround these changes, I’d very much
prefer to patch owncloud to use the generic libjs-pdf, but I’m not
familiar enough to JavaScript to see this through.

Thanks in advance.

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRXQVVAAoJELgqIXr9/gnysIIP/i8Z5w7J1btasBlwGZGyjyOT
2k6PKuKFgE4408a9zsxzp/C/k62BiKzzJ3DzSP8MjEvoWUEbM+R7UQYLzDVTDUfv
rPHgK5QB98ZWuYqrV5IdHY5KhGduqUhV5WKxFy+fsZWRjsg6UFA13yDbran1Hbbx
7ny9b/Rp0vc7JfHOWiaj4ms2yKIL5Q4JCSIte2HBl41ijzcYRSl97GZalyt02XVp
4NF18a+JPn6003qw9E2jAZBaisTey/+pCg+om53WENxSY1Gtk0A6uwWcTC7X3Lme
vtZV4Z1Uhmu8veurh7+GxebFeNqQKoA+PyV0yIvUB0T2YKZCutMWm/ojVze7amvU
ePqw1eIA7wx9GaI9v86sNfvvLJFDdEg8k3BC7zAm+hc/v9HqXvyb/isGD1Lw5y2/
fxO4VxpabgQtslTTnG98ARXsHThkTV/Dd1OFBIaVrihk61mFXnzMYjQ8ar56Ovsc
fhbs9cv6cioZe2ywCBSkTzSX4rk4B6f3BD7c6C1C3KdFZx+vLuYxwwKs+z2NFHXk
XKR3cuvegqqngzt1BbDjwJ/Ukchy4ItxMBsyQ8mQTBuN0PmIBNlsb+aUozxrmzoC
CogJ/Bowiw9kelRZJDK2wegLWDqMg5lTzHdM1hHtu2PBTVMbcvSIESfHyxenG8I4
YFQZRBuarFOPwRG27gem
=iJ4h
-----END PGP SIGNATURE-----



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 08 Apr 2013 20:06:07 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Thu, 18 Apr 2013 22:03:27 GMT) Full text and rfc822 format available.

Notification sent to David Prévot <taffit@debian.org>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 22:03:27 GMT) Full text and rfc822 format available.

Message #17 received at 704502-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 704502-close@bugs.debian.org
Subject: Bug#704502: fixed in pdf.js 0.8.37+dfsg-1
Date: Thu, 18 Apr 2013 22:00:14 +0000
Source: pdf.js
Source-Version: 0.8.37+dfsg-1

We believe that the bug you reported is fixed in the latest version of
pdf.js, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704502@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated pdf.js package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 08 Apr 2013 14:12:03 -0400
Source: pdf.js
Binary: libjs-pdf
Architecture: source all
Version: 0.8.37+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 libjs-pdf  - web standards-based platform for parsing and rendering PDFs
Closes: 704502
Changes: 
 pdf.js (0.8.37+dfsg-1) unstable; urgency=low
 .
   * Initial release. (Closes: #704502)
Checksums-Sha1: 
 bb4b6863abfa3c16ef0653b3a2584c1690400d9c 1954 pdf.js_0.8.37+dfsg-1.dsc
 fa4a1cf124ee3cdd22116405a3fe58d1a195be14 2933780 pdf.js_0.8.37+dfsg.orig.tar.xz
 a4ea9b814f0fd64fcfbdd7f8591316b077579d78 25892 pdf.js_0.8.37+dfsg-1.debian.tar.gz
 1d609aa940d0abc8e356b6fd214077f63da17d75 516604 libjs-pdf_0.8.37+dfsg-1_all.deb
Checksums-Sha256: 
 6fc0697de8f04182b410f234732428674e2564da8aa6d5b3a278ae365ea0cbc3 1954 pdf.js_0.8.37+dfsg-1.dsc
 1bb5459d0b2d69ec7615d8330ac37e1cba31ed59a18ac179c8cda3eb0c91ce8a 2933780 pdf.js_0.8.37+dfsg.orig.tar.xz
 b16e56f8b2e9d4897580520484da3177631c9600d75308f2d51b15b041b9e9c5 25892 pdf.js_0.8.37+dfsg-1.debian.tar.gz
 f531701240bf2161e2c9952714e4dc1d359649a9f0b05e6f916617e7f77597fa 516604 libjs-pdf_0.8.37+dfsg-1_all.deb
Files: 
 86b2f74fd8ebfcc1efeb0e73a6f3f673 1954 web optional pdf.js_0.8.37+dfsg-1.dsc
 2dd499a0f3a6b5d449bc361e12f6b5d6 2933780 web optional pdf.js_0.8.37+dfsg.orig.tar.xz
 73c313c8b749871a4a25b1f84ae6cd01 25892 web optional pdf.js_0.8.37+dfsg-1.debian.tar.gz
 d374eaa9c64bf30bf359e03a87b658d6 516604 web optional libjs-pdf_0.8.37+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRYwpJAAoJELgqIXr9/gnyh/4QAKDl0zxcR1HPApGEZdcYpGws
FapEm0jGacgzfuz3oSnB42pmkZ5ot7gSFNL4t8O9wKK2NZDNAll/fG2ogzZT18hA
2bGBYDV813M8/ny79Hu6jNg8JA1CBYVNhFmBUrtHAupkwLDp/dTLRGJ7k4ZIJZZ7
HNRFYDtFD0foEpSWVjm6Moz2F56S4aCXaxIEzYGTcrpAFZSXFEf7cZrBS5wGXaxB
qetnuAN5Gk8UESZCs1SOJMoFg2yL1h7yCHbgdRRSr/6dqJX9z9x15eBY1g/vqam7
K8tmV563p7klI4tMj4yIKS1NSwcFSyt53YBNVv0OlSEfwXPEvQpuS1fFXu+AEpMh
7T9tB728O64+m+sTtFnCHBfo1eBxZb1tRkQqMWP50gj/XRYWA5WqeVug6Ioqvwsy
C4890j2Ft6845P4Xp7vjcnGKf8jZGK/CYE1ENrGgsyuD1x1wz3mhMvVIhT0edvA/
ZMyCgtz/DmONF4U9SomEdcih35HTI+sFC9EEfb+fC5lqblcBkQmCVx0hBwcwYXAO
JPlxctdutc9Uu5AbuMzmN2737DsCYeotRKH/WoebpAheRuG3N40MQw9VnI+l3gTF
H9eEBZ4adElm7ncYmDN4Df5JuL99GavqUmaQw01GIN3YUd81CcPGwqlkBRHGOccB
yrj5cafw3YgUXVNXtkVD
=dQy/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 May 2013 07:26:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:44:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.